package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[用品类型]
 */
@Component("ionicdemo_YPCodelistCodeList")
public class YPCodelistCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_YPCodelist");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("10");
		item0.setId("10");
		item0.setText("办公类");
		item0.setLabel("办公类");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("10",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("20");
		item1.setId("20");
		item1.setText("签字笔类");
		item1.setLabel("签字笔类");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("20",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("30");
		item2.setId("30");
		item2.setText("插线板类");
		item2.setLabel("插线板类");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("30",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("40");
		item3.setId("40");
		item3.setText("刀具类");
		item3.setLabel("刀具类");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("40",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("50");
		item4.setId("50");
		item4.setText("文件夹类");
		item4.setLabel("文件夹类");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("50",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("60");
		item5.setId("60");
		item5.setText("硒鼓墨盒");
		item5.setLabel("硒鼓墨盒");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("60",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("70");
		item6.setId("70");
		item6.setText("纸张类");
		item6.setLabel("纸张类");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("70",item6);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}